Package org.springframework.security.web.authentication

# Class DelegatingAuthenticationConverter

java.lang.Object
org.springframework.security.web.authentication.DelegatingAuthenticationConverter

All Implemented Interfaces:
  `AuthenticationConverter`

public final class DelegatingAuthenticationConverter extends Object implements AuthenticationConverter
A `AuthenticationConverter`, that iterates over multiple `AuthenticationConverter`. The first non-null `Authentication` will be used as a result.

Since:
  6.3

## Constructor Summary

Constructors
Constructor
Description
`DelegatingAuthenticationConverter(List<AuthenticationConverter> delegates)`
`DelegatingAuthenticationConverter(AuthenticationConverter... delegates)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.core.Authentication`
`convert(jakarta.servlet.http.HttpServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingAuthenticationConverter

public DelegatingAuthenticationConverter(List<AuthenticationConverter> delegates)

### DelegatingAuthenticationConverter

public DelegatingAuthenticationConverter(AuthenticationConverter... delegates)

## Method Details

### convert

public org.springframework.security.core.Authentication convert(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `convert` in interface `AuthenticationConverter`